aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/vhpi/001load_lib/testsuite.sh
diff options
context:
space:
mode:
authorMarlon James <marlon.james@gmail.com>2021-03-03 12:06:53 -0800
committertgingold <tgingold@users.noreply.github.com>2021-03-04 07:49:28 +0100
commit062ff5b6a41caf93e03c417e31a8a6471993abf1 (patch)
treefcc773b7c6a153e911120ee611945bb3347e91c2 /testsuite/vhpi/001load_lib/testsuite.sh
parent783cbac7ba4c14aa7e27f28755dccd7e4ee4d54e (diff)
downloadghdl-062ff5b6a41caf93e03c417e31a8a6471993abf1.tar.gz
ghdl-062ff5b6a41caf93e03c417e31a8a6471993abf1.tar.bz2
ghdl-062ff5b6a41caf93e03c417e31a8a6471993abf1.zip
VHPI: add tests for loading libraries
Diffstat (limited to 'testsuite/vhpi/001load_lib/testsuite.sh')
-rwxr-xr-xtestsuite/vhpi/001load_lib/testsuite.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/testsuite/vhpi/001load_lib/testsuite.sh b/testsuite/vhpi/001load_lib/testsuite.sh
new file mode 100755
index 000000000..1a23b1b69
--- /dev/null
+++ b/testsuite/vhpi/001load_lib/testsuite.sh
@@ -0,0 +1,32 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+analyze mydesign.vhdl
+elab myentity
+
+if c_compiler_is_available && ghdl_has_feature myentity vhpi; then
+ $GHDL --vpi-compile -v gcc -c vhpi_lib.c
+ $GHDL --vpi-link -v gcc -o vhpi_lib.vhpi vhpi_lib.o
+
+ add_vpi_path
+
+ simulate myentity --vhpi=./vhpi_lib.vhpi | tee myentity.out
+ if grep -q Error myentity.out; then
+ echo "Error in output"
+ exit 1;
+ fi
+ if grep -q error myentity.out; then
+ echo "error in output"
+ exit 1;
+ fi
+ if ! grep -q "VHPI lib" myentity.out; then
+ echo "VHPI Library not loaded"
+ exit 1;
+ fi
+
+ rm -f vhpi_lib.vhpi vhpi_lib.o myentity.out
+fi
+clean
+
+echo "Test successful"